import React, { useState } from 'react';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import { Provider } from 'react-redux';
import store from './app/store';
import LoginPage from './pages/LoginPage';
import JobDescriptionPage from './pages/JobDescriptionPage';
import InterviewQuestionsPage from './pages/InterviewQuestionsPage';
import ResourceInvitePage from './pages/ResourceInvitePage';
import { ThemeProvider, CssBaseline, Button } from '@mui/material';
import { darkTheme, lightTheme } from './theme';

const App = () => {
  const [darkMode, setDarkMode] = useState(false);
  // const toggleDarkMode = () => setDarkMode(!darkMode);
  
  return (
    <Provider store={store}>
      <ThemeProvider theme={darkMode ? darkTheme : lightTheme}>
      <CssBaseline />
      <Router>
      {/* <Button
            onClick={toggleDarkMode}
            variant="contained"
            sx={{ position: 'fixed', top: 10, right: 10, zIndex: 1000 }}
          >
            Toggle {darkMode ? 'Light' : 'Dark'} Mode
          </Button> */}
        <Routes>
          <Route path="/" element={<LoginPage />} />
          <Route path="/login" element={<LoginPage />} />
          <Route path="/job-description" element={<JobDescriptionPage />} />
          <Route path="/interview-questions" element={<InterviewQuestionsPage />} />
          <Route path="/resource-invite" element={<ResourceInvitePage />} />
        </Routes>
      </Router>
    </ThemeProvider>
    </Provider>
  );
};

export default App;
